Show / Hide Table of Contents

# AsyncCollisionStayTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCollisionStayTrigger : AsyncTriggerBase<Collision>, IUniTaskAsyncEnumerable<Collision>

##### Inheritance

System.Object → AsyncTriggerBase<Collision> → AsyncCollisionStayTrigger

##### Implements

IUniTaskAsyncEnumerable<Collision>

### Members

#### Methods

Name | Description
--- | ---
GetOnCollisionStayAsyncHandler() |
GetOnCollisionStayAsyncHandler(CancellationToken) |
OnCollisionStayAsync() |
OnCollisionStayAsync(CancellationToken) |

### Methods

#### GetOnCollisionStayAsyncHandler()

    public IAsyncOnCollisionStayHandler GetOnCollisionStayAsyncHandler()

##### Returns

IAsyncOnCollisionStayHandler

#### GetOnCollisionStayAsyncHandler(CancellationToken)

    public IAsyncOnCollisionStayHandler GetOnCollisionStayAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnCollisionStayHandler

#### OnCollisionStayAsync()

    public UniTask<Collision> OnCollisionStayAsync()

##### Returns

UniTask<Collision>

#### OnCollisionStayAsync(CancellationToken)

    public UniTask<Collision> OnCollisionStayAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collision>

### Implements

IUniTaskAsyncEnumerable<T>